DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# InsertionSortIndices16

Sort indices to a block of data

## SYNOPSIS

`#include "dip_sort.h"`

dip_Error dip_InsertionSortIndices16 ( data, indices, size, dataType )

## FUNCTION

Sorts a list of (16 bit) indices rather than the data itself using the insertion sort algorithm.

## ARGUMENTS

Data type | Name | Description
`void *` | `data` | Data
`dip_sint16 *` | `indices` | Indices
`dip_int` | `size` | Size
`dip_DataType` | `dataType` | Data type. See DIPlib's data types

## SEE ALSO

General information about sorting

`InsertionSort`, `InsertionSortIndices`, `Sort`, `ImageSort`, `SortIndices`, `SortIndices16`, `ImageSortIndices`